Skip to main content
`Ctrl`+`K`

# KSPSetSkipPCSetFromOptions

prevents `KSPSetFromOptions()` from calling `PCSetFromOptions()`. This is used if the same `PC` is shared by more than one `KSP` so its options are not reset for each `KSP`

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetSkipPCSetFromOptions(KSP ksp, PetscBool flag)

Collective

## Input Parameters

- ksp - iterative solver obtained from `KSPCreate()`

- flag - `PETSC_TRUE` to skip calling the `PCSetFromOptions()`

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSolve()`, `KSPDestroy()`, `PCSetReusePreconditioner()`, `KSP`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages